Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.anchorage-staging.com/v2/trading/accounts/{accountId} \ --header 'Api-Access-Key: <api-key>'
import requestsurl = "https://api.anchorage-staging.com/v2/trading/accounts/{accountId}"headers = {"Api-Access-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};fetch('https://api.anchorage-staging.com/v2/trading/accounts/{accountId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": { "id": "6290d9bd-494f-11ed-975e-2e567b4c0e09", "name": "Crypto Fund LLC", "enabled": true } }
{ "message": "Missing required field 'amount'."}
Permissions required: Read trade activity
Get trading account details by ID.
An API key associated with a security role
The ID of the trading account to get details for
Successfully returned the trading account.
Show child attributes
Was this page helpful?